from flask import Flask, render_template
import json
import estudiante, madre, admin, enfermera, facultad

app = Flask(__name__)

@app.route('/', methods=['GET', 'POST'])
def index():
#     return "Hello, World!"
    return render_template('dashAdministracion.html')

@app.route('/forma/<accion>/<tipo>/', methods=['GET', 'POST'])
@app.route('/forma/<accion>/<tipo>/<id>', methods=['GET', 'POST'])
def formas(accion,tipo,id=None):
	return render_template('forma.html', tipo=tipo, accion=accion, id=id)

    
@app.route('/formaDatos/<accion>/<tipo>/', methods=['GET', 'POST'])
@app.route('/formaDatos/<accion>/<tipo>/<id>', methods=['GET', 'POST'])
def formaEst(accion, tipo, id=None):
# 	data = json.loads('formaEstudiantes.json')
	if(tipo=="estudiante"):
		if(accion=="add"):
			return estudiante.add()
		if(accion=="edit"):
			return estudiante.edit(id)
	if(tipo=="madre"):
		if(accion=="add"):
			return madre.add()
		if(accion=="edit"):
			return madre.edit(id)
	if(tipo=="admin"):
		if(accion=="add"):
			return admin.add()
		if(accion=="edit"):
			return admin.edit(id)
	if(tipo=="enfermera"):
		if(accion=="add"):
			return enfermera.add()
		if(accion=="edit"):
			return enfermera.edit(id)
	if(tipo=="facultad"):
		if(accion=="add"):
			return facultad.add()
		if(accion=="edit"):
			return facultad.edit(id)


@app.route('/dashAdmin', methods=['GET', 'POST'])
def dashAdmin():
# 	data = json.loads('formaEstudiantes.json')
	return '{"tasks": [    {      "titulo": "Estudiantes",      "url": "admin/estudiantes.html"    }, {      "titulo": "Facultad",      "url": "admin/facultad.html"    },     {      "titulo": "Administración",      "url": "admin/adminstracion.html"    },     {      "titulo": "Enfermeria",      "url": "admin/enfermeria.html"    },     {      "titulo": "Madres",      "url": "admin/madres.html"    },     {      "titulo": "Cursos",      "url": "admin/cursos.html"    },     {      "titulo": "Matricula",      "url": "admin/matricula.html"    },     {      "titulo": "Transcripción",      "url": "admin/transcripcion.html"    },     {      "titulo": "Oferta",      "url": "admin/oferta.html"    },     {      "titulo": "Visita Oficina",      "url": "admin/oficina.html"    },     {      "titulo": "Mensajes",      "url": "admin/mensajes.html"    }  ], "titulo": "Administración"}'
